// IADTrCtl.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _TID_TREE_CONTROL_
#define _TID_TREE_CONTROL_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class IAD_EditorTreeNode;

/////////////////////////////////////////////////////////////////////////////
// IAD_TreeControl window

class IAD_TreeControl : public CTreeCtrl
{
// Construction
public:
	IAD_TreeControl();

// Attributes
public:
	//BEGIN ROMTEAM Cristi Petrescu 98-05-
	BOOL m_bViewReflex;
	BOOL m_bViewAI;

	IAD_EditorTreeNode *m_pclSelectedBehaviourNode;
	//END ROMTEAM Cristi Petrescu 98-05-

private:
	void m_pri_fn_vDisplayText(	IAD_EditorTreeNode *_pclNode,
															CDC *_pclDC,
															CRect crRect);
	CBrush m_pri_clBrush;
	CPen m_pri_clPen;
	CBitmap m_pri_cbBitmapPlus;
	CBitmap m_pri_cbBitmapMinus;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IAD_TreeControl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~IAD_TreeControl();

	BOOL m_pub_fn_bCreate(CWnd *_pclParentWnd);
	void m_pub_fn_vSelectAndShowItem(HTREEITEM _hTreeItem);
	void m_pri_fn_vCollapseAllButNotThis(HTREEITEM _hTreeItemToKeepExpanded);

	//BEGIN ROMTEAM Cristi Petrescu 98-05-
	void m_fn_vSetViewAI (BOOL);
	void m_fn_vSetViewReflex (BOOL);
	//END ROMTEAM Cristi Petrescu 98-05-

	// Generated message map functions
protected:
	//{{AFX_MSG(IAD_TreeControl)
	afx_msg void OnPaint();
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	afx_msg void OnKeydown(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG


	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //_TID_TREE_CONTROL_
